summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/ChangeLog11
-rwxr-xr-xtests/run_make_tests.pl5
-rw-r--r--tests/scripts/variables/automatic21
-rw-r--r--tests/test_driver.pl8
4 files changed, 27 insertions, 18 deletions
diff --git a/tests/ChangeLog b/tests/ChangeLog
index 3e3520f..2fca415 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,14 @@
+2006-10-01 Paul Smith <psmith@paulandlesley.org>
+
+ * run_make_tests.pl (set_more_defaults): Remove setting of LANG in
+ ENV here. This doesn't always work.
+ * test_driver.pl (toplevel): Set LC_ALL to 'C' in the make
+ environment. Fixes Savannah bug #16698.
+
+2006-09-30 Paul Smith <psmith@paulandlesley.org>
+
+ * scripts/variables/automatic: Add back the test for bug #8154.
+
2006-04-01 Paul D. Smith <psmith@gnu.org>
* scripts/functions/realpath: Don't run tests with multiple
diff --git a/tests/run_make_tests.pl b/tests/run_make_tests.pl
index 689ce2e..0419fef 100755
--- a/tests/run_make_tests.pl
+++ b/tests/run_make_tests.pl
@@ -228,11 +228,6 @@ sub set_more_defaults
local($string);
local($index);
- # Make sure we're in the C locale for those systems that support it,
- # so sorting, etc. is predictable.
- #
- $ENV{LANG} = 'C';
-
# find the type of the port. We do this up front to have a single
# point of change if it needs to be tweaked.
#
diff --git a/tests/scripts/variables/automatic b/tests/scripts/variables/automatic
index 7237fe2..c0fdff8 100644
--- a/tests/scripts/variables/automatic
+++ b/tests/scripts/variables/automatic
@@ -95,17 +95,16 @@ mbr.src: ; @:',
# Make sure that nonexistent prerequisites are listed in $?, since they are
# considered reasons for the target to be rebuilt.
#
-# This was undone due to Savannah bug #16002. We'll re-do it in the next
-# release. See Savannah bug #16051.
+# See also Savannah bugs #16002 and #16051.
-#touch('foo');
-#
-#run_make_test('
-#foo: bar ; @echo "\$$? = $?"
-#bar: ;',
-# '',
-# '$? = bar');
-#
-#unlink('foo');
+touch('foo');
+
+run_make_test('
+foo: bar ; @echo "\$$? = $?"
+bar: ;',
+ '',
+ '$? = bar');
+
+unlink('foo');
1;
diff --git a/tests/test_driver.pl b/tests/test_driver.pl
index c5ee157..dd1b33b 100644
--- a/tests/test_driver.pl
+++ b/tests/test_driver.pl
@@ -78,9 +78,9 @@ sub resetENV
sub toplevel
{
# Pull in benign variables from the user's environment
- #
+
foreach (# UNIX-specific things
- 'TZ', 'LANG', 'TMPDIR', 'HOME', 'USER', 'LOGNAME', 'PATH',
+ 'TZ', 'TMPDIR', 'HOME', 'USER', 'LOGNAME', 'PATH',
# Purify things
'PURIFYOPTIONS',
# Windows NT-specific stuff
@@ -92,6 +92,10 @@ sub toplevel
$makeENV{$_} = $ENV{$_} if $ENV{$_};
}
+ # Make sure our compares are not foiled by locale differences
+
+ $makeENV{LC_ALL} = 'C';
+
# Replace the environment with the new one
#
%origENV = %ENV;